Name:           akuma
Version:        1.10
Release:        6%{?dist}
Summary:        Embeddable daemonization library for Java

# License is specified in pom file
License:        MIT
URL:            http://akuma.kohsuke.org
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz
Source1:        https://raw.github.com/kohsuke/youdebug/youdebug-1.5/LICENSE.txt
Patch0:         akuma-1.10-patch.diff

BuildRequires:  maven-local
BuildRequires:  maven-assembly-plugin
BuildRequires:  mvn(net.java.dev.jna:jna)
BuildRequires:  mvn(org.kohsuke:pom:pom:)

BuildArch:      noarch

%description
This is a Java library you can use in your application
to support Unix daemonization. By taking advantages of POSIX API,
this library lets you fork your process into background
with proper daemonization steps.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package provides the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
%patch0 -p0

cp %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 05 2017 Filipe Rosset <rosset.filipe@gmail.com> - 1.10-5
- Rebuilt to fix FTBFS on rawhide

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 17 2017 Filipe Rosset <rosset.filipe@gmail.com> - 1.10-3
- Rebuilt to fix FTBFS rhbz#1423213

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 26 2016 Michal Srb <msrb@redhat.com> - 1.10-1
- Update to 1.10

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Michal Srb <msrb@redhat.com> - 1.9-6
- Fix FTBFS

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Mar 04 2014 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.9-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 09 2013 Michal Srb <msrb@redhat.com> - 1.9-1
- Initial package

